package com.nantian.cloud.dbcapp.service;


import com.nantian.cloud.dbcapp.vo.AreaAndIndustryVo;

import java.text.ParseException;
import java.util.List;

/**
* @Description: 大屏数据支撑服务层
* @Param:
* @return:
* @Author: zfw
* @Date: 2020/12/22
* @Date: 20:16
*/
public interface BigScreenService {

    //年度能耗数据
    List<AreaAndIndustryVo> getAllTce();
    List<AreaAndIndustryVo> getAllAreaByYear();
    List<AreaAndIndustryVo> getAllHyByYear();
    List<AreaAndIndustryVo> getAllMeiYear() throws ParseException;
    List<AreaAndIndustryVo> getAllWaterYear();
    List<AreaAndIndustryVo> getAllElectricityYear() throws ParseException;
    Integer getAllXfjgYear() throws ParseException;

    //近6月能耗数据
    List<AreaAndIndustryVo> getAllTce6();
    List<AreaAndIndustryVo> getAllAreaByYear6();
    List<AreaAndIndustryVo> getAllHyByYear6();
    List<AreaAndIndustryVo> getAllMeiYear6() throws ParseException;
    List<AreaAndIndustryVo> getAllWaterYear6();
    List<AreaAndIndustryVo> getAllElectricityYear6() throws ParseException;

    //Integer deleteThisYearAll();
    //Integer deleteThisYearAll6();

    //在线监测企业、重点用能单位企业、电力关口企业、上送国家企业
    Integer getAllEnergyZxjcYear();
    Integer getAllEnergyDlgkYear();
    Integer getAllEnergyDjgjYear();
    Integer getAllEnergyNameYear();

}
